emacs-diffs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Emacs-diffs] /srv/bzr/emacs/trunk r103839: * autogen/update_autogen: Ad


From: Glenn Morris
Subject: [Emacs-diffs] /srv/bzr/emacs/trunk r103839: * autogen/update_autogen: Add a separate -L option for ldefs-boot.el.
Date: Tue, 05 Apr 2011 21:15:53 -0700
User-agent: Bazaar (2.0.3)

------------------------------------------------------------
revno: 103839
committer: Glenn Morris <address@hidden>
branch nick: trunk
timestamp: Tue 2011-04-05 21:15:53 -0700
message:
  * autogen/update_autogen: Add a separate -L option for ldefs-boot.el.
modified:
  autogen/update_autogen
=== modified file 'autogen/update_autogen'
--- a/autogen/update_autogen    2011-04-06 02:23:28 +0000
+++ b/autogen/update_autogen    2011-04-06 04:15:53 +0000
@@ -51,7 +51,7 @@
 usage ()
 {
     cat 1>&2 <<EOF
-Usage: ${PN} [-f] [-c] [-q] [-l] [-C] [-- make-flags]
+Usage: ${PN} [-f] [-c] [-q] [-l [-L]] [-C] [-- make-flags]
 Update the generated files in the Emacs autogen/ directory.
 Options:
 -f: force an update even if the source files are locally modified.
@@ -60,6 +60,7 @@
 -q: be quiet; only give error messages, not status messages.
 -l: also update the versioned loaddefs-like files in lisp/.
 This requires a build.  Passes any non-option args to make (eg -- -j2).
+-L: also update ldefs-boot.el.
 -C: start from a clean state.  Slower, but more correct.
 EOF
     exit 1
@@ -73,6 +74,7 @@
 quiet=
 clean=
 ldefs_flag=
+lboot_flag=
 
 ## Parameters.
 ldefs_in=lisp/loaddefs.el
@@ -91,7 +93,7 @@
 trap "rm -f $tempfile 2> /dev/null" EXIT
 
 
-while getopts ":hcflqC" option ; do
+while getopts ":hcflqCL" option ; do
     case $option in
         (h) usage ;;
 
@@ -105,6 +107,8 @@
 
         (C) clean=1 ;;
 
+        (L) lboot_flag=1 ;;
+
         (\?) die "Bad option -$OPTARG" ;;
 
         (:) die "Option -$OPTARG requires an argument" ;;
@@ -264,7 +268,7 @@
 make -C lisp "$@" autoloads EMACS=../src/bootstrap-emacs || die "make src 
error"
 
 
-cp $ldefs_in $ldefs_out || die "cp ldefs_boot error"
+[ ! "$lboot_flag" ] || cp $ldefs_in $ldefs_out || die "cp ldefs_boot error"
 
 
 cd lisp


reply via email to

[Prev in Thread] Current Thread [Next in Thread]